Package com.google.android.exoplayer2.video

## Class MediaCodecVideoRenderer.CodecMaxValues

- java.lang.Object
- - com.google.android.exoplayer2.video.MediaCodecVideoRenderer.CodecMaxValues

- Enclosing class:
    MediaCodecVideoRenderer

      protected static final class MediaCodecVideoRenderer.CodecMaxValues
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `height` |
    `int` | `inputSize` |
    `int` | `width` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodecMaxValues​(int width, int height, int inputSize)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          public final int width

    - #### height

          public final int height

    - #### inputSize

          public final int inputSize

  - ### Constructor Detail

    - #### CodecMaxValues

          public CodecMaxValues​(int width,
                                int height,
                                int inputSize)